com.jogamp.opengl

## Class JoglVersion

- java.lang.Object
- - com.jogamp.common.util.JogampVersion
  - - com.jogamp.opengl.JoglVersion

-     public class JoglVersion
      extends JogampVersion

- - ### Field Summary

    - ### Fields inherited from class com.jogamp.common.util.JogampVersion

      `IMPLEMENTATION_BRANCH, IMPLEMENTATION_BUILD, IMPLEMENTATION_COMMIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringBuilder` | `getAllAvailableCapabilitiesInfo(AbstractGraphicsDevice device, StringBuilder sb)`
    `static StringBuilder` | `getAvailableCapabilitiesInfo(GLDrawableFactory factory, AbstractGraphicsDevice device, StringBuilder sb)`
    `StringBuilder` | `getBriefOSGLBuildInfo(GL gl, StringBuilder sb)`
    `static StringBuilder` | `getDefaultOpenGLInfo(AbstractGraphicsDevice device, StringBuilder sb, boolean withCapabilitiesInfo)`
    `static StringBuilder` | `getGLInfo(GL gl, StringBuilder sb)`
    `static StringBuilder` | `getGLInfo(GL gl, StringBuilder sb, boolean withCapabilitiesAndExtensionInfo)`
    `static StringBuilder` | `getGLStrings(GL gl, StringBuilder sb)`
    `static StringBuilder` | `getGLStrings(GL gl, StringBuilder sb, boolean withExtensions)`
    `static JoglVersion` | `getInstance()`
    `static void` | `main(String[] args)`
    `String` | `toString(GL gl)`
    `StringBuilder` | `toString(GL gl, StringBuilder sb)`

    - ### Methods inherited from class com.jogamp.common.util.JogampVersion

      `equals, getAndroidPackageVersionName, getAttribute, getAttribute, getAttributeName, getAttributeNames, getExtensionName, getFullManifestInfo, getImplementationBranch, getImplementationBuild, getImplementationCommit, getImplementationTitle, getImplementationURL, getImplementationVendor, getImplementationVendorID, getImplementationVersion, getManifest, getManifestInfo, getPackageName, getSpecificationTitle, getSpecificationVendor, getSpecificationVersion, hashCode, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static JoglVersion getInstance()

    - #### toString

          public StringBuilder toString(GL gl,
                               StringBuilder sb)

    - #### toString

          public String toString(GL gl)

    - #### getAvailableCapabilitiesInfo

          public static StringBuilder getAvailableCapabilitiesInfo(GLDrawableFactory factory,
                                                   AbstractGraphicsDevice device,
                                                   StringBuilder sb)

    - #### getAllAvailableCapabilitiesInfo

          public static StringBuilder getAllAvailableCapabilitiesInfo(AbstractGraphicsDevice device,
                                                      StringBuilder sb)

    - #### getDefaultOpenGLInfo

          public static StringBuilder getDefaultOpenGLInfo(AbstractGraphicsDevice device,
                                           StringBuilder sb,
                                           boolean withCapabilitiesInfo)

    - #### getGLInfo

          public static StringBuilder getGLInfo(GL gl,
                                StringBuilder sb)

    - #### getGLInfo

          public static StringBuilder getGLInfo(GL gl,
                                StringBuilder sb,
                                boolean withCapabilitiesAndExtensionInfo)

    - #### getGLStrings

          public static StringBuilder getGLStrings(GL gl,
                                   StringBuilder sb)

    - #### getGLStrings

          public static StringBuilder getGLStrings(GL gl,
                                   StringBuilder sb,
                                   boolean withExtensions)

    - #### getBriefOSGLBuildInfo

          public StringBuilder getBriefOSGLBuildInfo(GL gl,
                                            StringBuilder sb)

    - #### main

          public static void main(String[] args)

Copyright 2010 JogAmp Community.